Skip to main content
`Ctrl`+`K`
scipy.stats.qmc.Sobol.

# random_base2

Sobol.random_base2(m)

  Draw point(s) from the Sobol’ sequence.

  This function draws \(n=2^m\) points in the parameter space ensuring the balance properties of the sequence.

  Parameters:
    m int

      Logarithm in base 2 of the number of samples; i.e., n = 2^m.

  Returns:
    sample array_like (n, d)

      Sobol’ sample.